For the complete documentation index, see llms.txt. This page is also available as Markdown.

CreateCloudRouter

1. API Description

This API (CreateCloudRouter) is used to create Cloud Router

Notes

  • Currently only postpaid Cloud Routers can be created.

  • A VPC can join only one Cloud Router.

  • This is an asynchronous API. Once the create request is successfully submitted, a Cloud Router ID is returned, but the create operation is not completed immediately. During this period the instance status will be DEPLOYING. The creation result can be checked by calling the DescribeCloudRouters API -- if the status (cloudRouterStatus) changes from DEPLOYING (creating) to RUNNING (available), the creation succeeded; if no record is found, the creation failed. Do not perform any operation on the Cloud Router while it is being created.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

cloudRouterName

Yes

String

Name of the Cloud Router, up to 255 characters. Defaults to cloud-router-{timestamp} if not specified.

edgePoints

Yes

Edge point information. At least 2 edge points are required.

Value range: [-, 500.0]

cloudRouterDescription

No

String

Description of the Cloud Router, up to 255 characters.

resourceGroupId

No

String

Resource group ID. If not specified, the resource is placed in the default resource group.

marketingOptions

No

Marketing activity information.

tags

No

Tags associated when creating the Cloud Router.

Note: associated tag keys must not be duplicated.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

cloudRouterId

String

Cloud Router ID.

4. Code Example

1. Create a Cloud Router with 2 edge points, each with a bandwidth of 1 Mbps. One edge point is a port, and the other is a VPC.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated